diff --git a/configure.ac b/configure.ac
index 9cf6a53..cbc649d 100644
--- a/configure.ac
+++ b/configure.ac
@@ -18,17 +18,21 @@ AC_PROG_CC
 
 # Platform specific ncurses check.
 AC_CANONICAL_HOST
-AS_CASE([$host_os],
-  [darwin*],
-    [
-      AC_CHECK_LIB(ncurses, killwchar, [], [AC_MSG_ERROR([Could not find ncurses library])])
-      AC_CHECK_HEADER(curses.h)
-    ],
-  [
-    AC_CHECK_LIB(ncursesw, killwchar, [], [AC_MSG_ERROR([Could not find ncursesw library])])
-    AC_CHECK_HEADER(ncursesw/curses.h)
-  ]
-)
+PKG_CHECK_MODULES([NCURSES], [ncursesw], [], [
+  PKG_CHECK_MODULES([NCURSES], [ncurses], [], [
+    AS_CASE([$host_os],
+      [darwin*],
+        [
+          AC_CHECK_LIB(ncurses, killwchar, [], [AC_MSG_ERROR([Could not find ncurses library])])
+          AC_CHECK_HEADER(curses.h)
+        ],
+      [
+        AC_CHECK_LIB(ncursesw, killwchar, [], [AC_MSG_ERROR([Could not find ncursesw library])])
+        AC_CHECK_HEADER(ncursesw/curses.h)
+      ]
+    )
+  ])
+])
 
 # Checks for libraries.
 AC_CHECK_LIB(m, cos, [], [AC_MSG_ERROR([Could not find m library])])
diff --git a/src/Makefile.am b/src/Makefile.am
index 5765613..ee411a9 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -15,3 +15,5 @@ hh_SOURCES = 									\
 	hstr_regexp.c include/hstr_regexp.h			\
 	radixsort.c include/radixsort.h 			\
 	hstr.c 
+
+hh_LDADD = $(NCURSES_LIBS)
